Bug 629861 - Reserve PNP enumerated system board iomem resources [rhel-5.5.z]
Summary: Reserve PNP enumerated system board iomem resources [rhel-5.5.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4.z
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 560540
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-03 07:04 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:20 UTC (History)
10 users (show)

(edit)
Previously, system board iomem resources, which were enumerated using the PNP Motherboard resource descriptions, were not recognized and taken into consideration when gathering resource information. This could have caused MMIO-based requests to receive allocations that were not valid. With this update, system board iomem resources are correctly recognized when gathering resource information.
Clone Of:
(edit)
Last Closed: 2010-11-09 18:07:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0839 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2010-11-09 18:06:20 UTC

Description RHEL Product and Program Management 2010-09-03 07:04:21 UTC
This bug has been copied from bug #560540 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 2 Jiri Pirko 2010-09-30 13:20:17 UTC
in kernel 2.6.18-194.19.1.el5

linux-2.6-pnp-ignore-both-unset-and-disabled-ioresources.patch
linux-2.6-pnp-reserve-system-board-iomem-and-ioport-resources.patch

Comment 6 errata-xmlrpc 2010-11-09 18:07:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0839.html

Comment 7 Martin Prpič 2010-11-11 13:57:46 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, system board iomem resources, which were enumerated using the PNP Motherboard resource descriptions, were not recognized and taken into consideration when gathering resource information. This could have caused MMIO-based requests to receive allocations that were not valid. With this update, system board iomem resources are correctly recognized when gathering resource information.


Note You need to log in before you can comment on or make changes to this bug.